From 281bade14c1925cf9e7329fa8e9cf2d82512c66f Mon Sep 17 00:00:00 2001
From: Emmanuele Bassi <ebassi@gnome.org>
Date: Mon, 24 Jan 2022 23:39:24 +0000
Subject: [PATCH] build: Fix i18n.merge_file() use with Meson 0.61

The function never took positional arguments.

Fixes: #59
---
 data/meson.build | 2 --
 1 file changed, 2 deletions(-)

diff --git a/data/meson.build b/data/meson.build
index e583f21..d3ee099 100644
--- data/meson.build.orig
+++ data/meson.build
@@ -17,7 +17,6 @@ configure_file(
 
 appdata = 'org.gnome.Devhelp.appdata.xml'
 I18N.merge_file(
-  appdata,
   input: appdata + '.in',
   output: appdata,
   po_dir: '../po/',
@@ -27,7 +26,6 @@ I18N.merge_file(
 
 desktop_file = 'org.gnome.Devhelp.desktop'
 I18N.merge_file(
-  desktop_file,
   type: 'desktop',
   input: desktop_file + '.in',
   output: desktop_file,
-- 
GitLab

From 03b9b6b55ab1e1376b314ac7f99693512e42d80b Mon Sep 17 00:00:00 2001
From: r-value <i@rvalue.moe>
Date: Wed, 17 Nov 2021 18:02:20 +0800
Subject: [PATCH] Remove incorrect arg for i18n.merge_file

`i18n.merge_file` has been ignoring positional arguments and
explicitly rejects with error "ERROR: Function does not take
positional arguments" since meson 0.60.0
---
 plugins/gedit-plugin/meson.build | 1 -
 1 file changed, 1 deletion(-)

diff --git a/plugins/gedit-plugin/meson.build b/plugins/gedit-plugin/meson.build
index 4f779886..877a01ff 100644
--- plugins/gedit-plugin/meson.build
+++ plugins/gedit-plugin/meson.build
@@ -7,7 +7,6 @@ install_data(
 
 plugin_info_file = 'devhelp.plugin'
 I18N.merge_file(
-  plugin_info_file,
   type: 'desktop',
   input: plugin_info_file + '.desktop.in',
   output: plugin_info_file,
-- 
GitLab

